ScXMLInitialElt(3)

NAME
ScXMLInitialElt - implements the <initial> SCXML element.

SYNOPSIS

#include <Inventor/scxml/ScXMLInitialElt.h>

Inherits ScXMLElt.

  Public Member Functions
virtual SoType getTypeId (void) const
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.
virtual void copyContents (const ScXMLElt *rhs)
virtual const ScXMLElt * search (const char *attrname, const char *attrvalue) const
virtual void setTransition (ScXMLTransitionElt *transition)
virtual ScXMLTransitionElt * getTransition (void) const

  Static Public Member Functions
static ScXMLEltReader * getElementReader (void)
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass (void)
static void cleanClass (void)

  Additional Inherited Members

Detailed Description

implements the <initial> SCXML element. An <initial> element has no attributes, and should contain one conditionless <transition> element with a target attribute that identifies a descendant state element of the parent state element.

Since
    Coin 3.0

Member Function Documentation

  SoType ScXMLInitialElt::getTypeId (void) const [virtual]

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

See also
    SoBase::getTypeId() const

Implements ScXMLElt.

  void ScXMLInitialElt::copyContents (const ScXMLElt * rhs) [virtual]

Reimplemented from ScXMLElt.

  const ScXMLElt * ScXMLInitialElt::search (const char * attrname, const char * attrvalue) const [virtual]
This method searches the SCXML structure for an element with the given attribute value for the given attribute.

Returns NULL if nothing was found.

This function needs to be reimplemented to traverse child elements.

Reimplemented from ScXMLElt.

Author

Generated automatically by Doxygen for Coin from the source code.